RubyGems Navigation menu

safemode 1.5.0

A library for safe evaluation of Ruby code based on RubyParser and Ruby2Ruby. Provides Rails ActionView template handlers for ERB and Haml.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 1.5.0 - March 19, 2024 (19.5 KB)
  2. 1.4.0 - December 11, 2023 (19.5 KB)
  3. 1.3.8 - July 11, 2023 (20 KB)
  4. 1.3.7 - April 26, 2022 (21 KB)
  5. 1.3.6 - August 31, 2020 (21 KB)
Show all versions (22 total)

Runtime Dependencies (3):

ruby2ruby >= 2.4.0
ruby_parser >= 3.10.1
sexp_processor >= 4.10.0

Development Dependencies (4):

rake >= 0
rdoc >= 0
simplecov >= 0
test-unit >= 0

Owners:

Pushed by:

Authors:

  • Sven Fuchs, Peter Cooper, Matthias Viehweger, Kingsley Hendrickse, Ohad Levy, Dmitri Dolguikh

SHA 256 checksum:

a779b6ad6af55f6d47b2f8051bd0d135fc8a272c8b37ecce566dc82aa2f79b94

Total downloads 851,478

For this version 8,329

License:

MIT

Required Ruby Version: >= 2.7, < 3.2

Links: